// -----------------------------------------------------------------------
//  Obter o Número do ARTIGO
// -----------------------------------------------------------------------
var numeroArtigo = window.location.pathname.split("/").pop().split("-").pop().split('.').shift();
var paginaActual = window.location.pathname.split("/").pop();

switch(numeroArtigo) {
	// Casos ESPECIAIS
	case 'index':
		numeroArtigo = 'C';
		break;
	case 'sumario':
		numeroArtigo = 'S';
		break;
	case 'editorial':
		numeroArtigo = 'E';
		break;
	case 'vantagens':
		numeroArtigo = 'V';
		break;
	// Comportamento NORMAL
	default:
		numeroArtigo = parseFloat(numeroArtigo);
		break;
}



// -----------------------------------------------------------------------
//  Função que GERA o link correcto
// -----------------------------------------------------------------------
function navegaArtigo(direccao){
	var seguinte = parseFloat(numeroArtigo) + 1;
	var anterior = parseFloat(numeroArtigo) - 1;
		
	if (direccao == 'seguinte') var linkNavegacao = seguinte + ".html";
	else var linkNavegacao = anterior + ".html";
		

	// Casos especiais
	if (numeroArtigo < 10) var linkNavegacao = '0' + linkNavegacao;
/*
	if (numeroArtigo == 9) {
		if (direccao == 'seguinte') var linkNavegacao = linkNavegacao;
	  else var linkNavegacao = '0' + linkNavegacao;
	}
	else if (numeroArtigo < 10)  {
		var linkNavegacao = '0' + linkNavegacao;
	}
	if ((numeroArtigo == 10) && (direccao == 'anterior')) var linkNavegacao = '0' + linkNavegacao;
*/

	// Casos não numéricos
	switch (paginaActual) {
		// ARRANQUE
		case '':
		case 'index.html':
			if (direccao == 'seguinte') window.location = 'sumario.html';
			break;
		case 'howto.html':
			if (direccao == 'seguinte') window.location = 'sumario.html';
			if (direccao == 'anterior') window.location = 'index.html';
			break;
		case 'sumario.html':
			if (direccao == 'seguinte') window.location = 'editorial.html';
			if (direccao == 'anterior') window.location = 'index.html';
			break;
		case 'editorial.html':
			if (direccao == 'seguinte') window.location = 'dossier-01.html';
			if (direccao == 'anterior') window.location = 'sumario.html';
			break;
		case 'dossier-01.html':
			if (direccao == 'seguinte') window.location = 'dossier-02.html';
			if (direccao == 'anterior') window.location = 'editorial.html';
			break;		

		// BANNER 01
		case 'dossier-06.html':
			if (direccao == 'seguinte') window.location = 'banner-01.html';
			if (direccao == 'anterior') window.location = 'dossier-05.html';
			break;		
		case 'banner-01.html':
			if (direccao == 'seguinte') window.location = 'dossier-07.html';
			if (direccao == 'anterior') window.location = 'dossier-06.html';
			break;		
		case 'dossier-07.html':
			if (direccao == 'seguinte') window.location = 'dossier-08.html';
			if (direccao == 'anterior') window.location = 'banner-01.html';
			break;		

		case 'dossier-09.html':
			//if (direccao == 'seguinte') window.location = 'vantagens.html';
			if (direccao == 'anterior') window.location = 'dossier-08.html';
			break;		
/*
		// VANTAGENS
		case 'vantagens.html':
			if (direccao == 'anterior') window.location = 'dossier-09.html';
			break;
*/

		// Comportamento NORMAL
		default:
			window.location = 'dossier-' + linkNavegacao;
			break;
	}
}

// -----------------------------------------------------------------------
//  Função que mostra o NUMERO do ARTIGO
// -----------------------------------------------------------------------
$(document).ready(function() {
	$('.numeroDossier').html(numeroArtigo);
	
	// Controle por teclado
	$('body').keyup(function(key) {
		if (key.keyCode == 37) navegaArtigo('anterior');
		if (key.keyCode == 39) navegaArtigo('seguinte');
	});
});